понедельник, 14 октября 2013 г.

Ошибка "Перед установкой требуется обновить Internet Explorer" при установке IE 10

  Стал  на все компьютеры устанавливать Internet Explorer 10. Обнаружилось что при установке IE 10 на Windows 7 с Service Pack 1 выскакивает сообщение о ошибке "Перед установкой требуется обновить Internet Explorer" с просьбой "Перейдите в интернет и установите необходимые обновления, затем вернитесь на страницу установки Internet Explorer и еще раз запустите программу установки". Сразу было подозрение что для решения вопроса надо установить какое-то обновление.
  Всезнающий Google конечно ответил.
  На сайте поддержки Microsoft обнаружилась статья Как получить необходимые обновления для Internet Explorer 10 для Windows 7, которые не удалось установить. Из нее следовало, что необходимы пять обновлений:
  • kb2729094 x86 и x64 - обновление для какого-то шрифта.
  • kb2731771 x86 и x64 - что-то делает с временем.
  • kb2533623 x86 и x64 - что-то улучшает в плане безопасности.
  • kb2670838 x86 и x64 - улучшает производительность в DirectX и возможно в ряде других библиотек.
  • kb2786081 x86 и x64 - устраняет какую-то ошибку.
  Для получения этих обновлений воспользуйтесь вышеприведенными ссылками. Или на сайте загрузки Microsoft в строке поиска введите номер обновления в виде например kb2729094. В выданных результатах просто выбираете вашу операционную систему. И качаете.
  Естественно проверил информацию из статьи. Под рукой появились несколько компьютеров с русскоязычной Windows 7 SP1. Поэтому все написанное далее относится именно к ней.
  Действительно после их установки IE10 установился и нормально заработал. Исправление kb2533623 на всех системах ставится отказалось. Сказало что "Обновление не применимо к этой системе". Я не пытался опытным путем определить какие еще обновления возможно пропустить. Ставил сразу все.